<?php
include("./sessao.php"); 


require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');

class Adesao{

var $id;      
var $pessoa_id;
var $evento_id;
var $numero;
var $valor;
var $saldo;
var $status;
var $observacao;
var $deletado;
var $dataabertura;
var $datafechamento;


	
	function cadastrar(){
        try {
                //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
    		
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into adesao (
                                    pessoa_id,
                                    evento_id,
                                    numero,
                                    valor,
                                    saldo,
                                    status,
                                    observacao,
                                    deletado,
                                    dataabertura
		                             )values(
                                        :ppessoa_id,
                                        :pevento_id,
                                        :pnumero,
                                        :pvalor,
                                        :psaldo,
                                        :pstatus,
                                        :pobservacao,
                                        :pdeletado,
                                        :pdataabertura
		                                 )
		                          ");
		    $stmt->execute(array(
                                ':ppessoa_id'               => $this->pessoa_id,  
                                ':pevento_id'               => $this->evento_id,
                                ':pnumero'                  => $this->numero,
                                ':pvalor'                   => $this->valor,
                                ':psaldo'                   => $this->saldo,
                                ':pstatus'                  => $this->status,
                                ':pobservacao'              => $this->observacao,
                                ':pdeletado'                => 0,
                                ':pdataabertura'            => $this->dataabertura
		                         )
		                         );
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
        
	}


	function buscar(){
	    try{
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.buscar";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from adesao where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
	                $this->id           = $row[0];   
	                $this->pessoa_id    = $row[1];   
                    $this->evento_id    = $row[2];
                    $this->numero       = $row[3];
                    $this->valor        = $row[4];
                    $this->saldo        = $row[5];
                    $this->status       = $row[6];
                    $this->observacao   = $row[7];
                    $this->deletado     = $row[8];
                    $this->dataabertura = $row[9];
                    $this->datafechamento = $row[10];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
		    $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.alterar";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update adesao set 
                                    valor           = :pvalor,
                                    saldo           = :psaldo,
                                    status          = :pstatus,
                                    observacao      = :pobservacao,
                                    dataabertura    = :pdataabertura
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                ':pvalor'                   => $this->valor,
                                ':psaldo'                   => $this->saldo,
                                ':pstatus'                  => $this->status,
                                ':pobservacao'              => $this->observacao,
                                ':pdataabertura'            => $this->dataabertura,
                                ':pid'                      => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
		function setafechamento(){
		try{
		    $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.setafechamento";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update adesao set 
                                    datafechamento  = :pdatafechamento
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                ':pdatafechamento'          => $this->datafechamento,
                                ':pid'                      => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function setafechamentonull(){
		try{
		                $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.setafechamentonull";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update adesao set 
                                    datafechamento  = null
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                ':pid'                      => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}

		function remover(){
		try{
		                $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.remover";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update adesao set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
		                $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.removerfisico";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from adesao where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getAdesao($cond){
	    try{
	                    $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.getAdesao";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento # $cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from adesao ".$cond;
            echo $comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // pessoa_id
                    $retorno[$indice][2]  = $row[2]; // evento_id
                    $retorno[$indice][3]  = $row[3]; // numero
                    $retorno[$indice][4]  = $row[4]; // valor
                    $retorno[$indice][5]  = $row[5]; // saldo
                    $retorno[$indice][6]  = $row[6]; // status
                    $retorno[$indice][7]  = $row[7]; // observacao
                    $retorno[$indice][8]  = $row[8]; // deletado
                    $retorno[$indice][9]  = $row[9]; // dataabertuyra
                    $retorno[$indice][10]  = $row[10]; // datafechamento                    
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	function validainclusao($numero, $evento_id){
	    try{
	                    $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.validainclusao";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento#$numero#$evento_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from adesao where numero = :pnumero and evento_id = :pevento_id and ( (status <> 'DEVOLVIDA') or (status <> 'CANCELADA') )";
	        $ps = $conn->prepare($comando);
            //$ps->execute();
            $ps->execute(array(':pnumero' => $numero, 'pevento_id' => $evento_id));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                return 0;
            }else {
                return 1;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	
	    
	    
	}
	
	
		function jaregistradovalor($numero, $evento_id){
	    try{
	        $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.validainclusao";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento#$numero#$evento_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select saldo from adesao where numero = :pnumero and evento_id = :pevento_id and status = 'ABERTA' and deletado <> 1 ";
	        $ps = $conn->prepare($comando);
            //$ps->execute();
            $ps->execute(array(':pnumero' => $numero, 'pevento_id' => $evento_id));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                 foreach ($ps->fetchAll() as $row) {
                    if ($row[0] > 0){
                        return 1;
                    }else{
                        return 0;
                    } // id
                }
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	
	    
	    
	}

		function getstatus($numero, $evento_id){
	    try{
	        $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.validainclusao";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento#$numero#$evento_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select status from adesao where numero = :pnumero and evento_id = :pevento_id and status = 'ABERTA' and deletado <> 1 ";
	        $ps = $conn->prepare($comando);
            //$ps->execute();
            $ps->execute(array(':pnumero' => $numero, 'pevento_id' => $evento_id));
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                 foreach ($ps->fetchAll() as $row) {
                        return $row[0];
                }
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	
	    
	    
	}
	
	
		function getAdesao2($cond){
	    try{
	                    $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.getAdesao2";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento#$cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

	        $c = new Conexao();
            $conn = $c->AbreConexao();
            //                 0     1          2         3      4      5       6       7            8        9               10             11
            $comando = "select adesao.id, pessoa_id, evento_id, adesao.numero, valor, saldo, status, observacao, adesao.deletado, dataabertura, datafechamento, nome from adesao, pessoa where adesao.pessoa_id = pessoa.id ".$cond;
            //echo $comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // pessoa_id
                    $retorno[$indice][2]  = $row[2]; // evento_id
                    $retorno[$indice][3]  = $row[3]; // numero
                    $retorno[$indice][4]  = $row[4]; // valor
                    $retorno[$indice][5]  = $row[5]; // saldo
                    $retorno[$indice][6]  = $row[6]; // status
                    $retorno[$indice][7]  = $row[7]; // observacao
                    $retorno[$indice][8]  = $row[8]; // deletado
                    $retorno[$indice][9]  = $row[9]; // dataabertuyra
                    $retorno[$indice][10]  = $row[10]; // datafechamento
                    $retorno[$indice][11]  = $row[11]; // nome     
                    
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
		function getNextNumber($cond){
	    try{
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Adesao.getAdesao2";
            $valores = "$this->id # $this->pessoa_id # $this->evento_id # $this->numero # $this->valor # $this->saldo # $this->status # $this->observacao # $this->dataabertura # $this->datafechamento#$cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

	        $c = new Conexao();
            $conn = $c->AbreConexao();
            //                 0     1          2         3      4      5       6       7            8        9               10             11
            //$comando = "select adesao.id, pessoa_id, evento_id, adesao.numero, valor, saldo, status, observacao, adesao.deletado, dataabertura, datafechamento, nome from adesao, pessoa where adesao.pessoa_id = pessoa.id ".$cond;
            //echo $comando;
	        $comando = "select numero from adesao where deletado <> 1 ".$cond;

	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $maior = -10000;
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    if($row[0] > $maior){
                        $maior = $row[0];
                    }
                }
                return $maior;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
}
?>