<?php



require_once('../conexao/conectar.php');
require_once('../classes/judo_logperfil.php');
require_once('../classes/judo_pessoa.php');
require_once('../classes/judo_tipograduacao.php');

class Graduacao{

var $id;      
var $pessoa_id;
var $tipo;
var $data;
var $dataexame;
var $certificado;
var $observacao;
var $deletado;
var $tipograduacao_id;
var $ativo;
var $tamfaixa;


	
	function cadastrar(){
        try {
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Graduacao.cadastrar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->tipo # $this->data # $this->dataexame # $this->certificado # $this->observacao # $this->tipograduacao_id# $this->ativo";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
            
            $tg = new Tipograduacao();
            $tg->id = $this->tipograduacao_id;
            $tg->buscar();
            $this->tipo = $tg->tipo;

            $pes = new Pessoa();
            $regvalidagraduacao = $pes->validaGraduacao($this->pessoa_id, $this->tipograduacao_id, $this->tipo);
            
            if($regvalidagraduacao > 0){
            

                $pes->setGraduacaoAtual($this->pessoa_id, $this->tipo);
    		    $c = new Conexao();
		        $date = new DateTime();
		        $conn = $c->AbreConexao();
		        $stmt = $conn->prepare("insert into graduacao (
                                    pessoa_id,
                                    tipo,
                                    data,
                                    dataexame,
                                    certificado,
                                    observacao,
                                    deletado,
                                    tipograduacao_id,
                                    ativo,
                                    tamfaixa
		                             )values(
                                        :ppessoa_id,
                                        :ptipo,
                                        :pdata,
                                        :pdataexame,
                                        :pcertificado,
                                        :pobservacao,
                                        :pdeletado,
                                        :ptipograduacao_id,
                                        :pativo,
                                        :ptamfaixa
		                                 )
		                          ");
		        $stmt->execute(array(
                                ':ppessoa_id'              => $this->pessoa_id,  
                                ':ptipo'           => $this->tipo,
                                ':pdata' => $this->data,
                                ':pdataexame' => $this->dataexame,
                                ':pcertificado' => $this->certificado,
                                ':pobservacao' => $this->observacao,
                                ':pdeletado'            => 0,
                                ':ptipograduacao_id'   => $this->tipograduacao_id,
                                ':pativo'              => 1,
                                ':ptamfaixa'           => $this->tamfaixa
		                         )
		                         );
		        return 1;
            }else{
                if($regvalidagraduacao == -1){
                    echo "O tipo de graduacao ja foi atribuido" ;
                    return -1;
                }
            if($regvalidagraduacao == -2){
                    echo "A graduacao superior à que esta sendo lancada";
                    return -2;
            }

            }
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
        
	}


	function buscar(){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Graduacao.buscar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->tipo # $this->data # $this->dataexame # $this->certificado # $this->observacao # $this->tipograduacao_id#$this->ativo";
            $lp->setLog($usuario, $pagina, $funcao, $valores);




	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from graduacao where id = :pid and deletado = 0");
            $ps->execute(array(':pid' => $this->id));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
                    $this->id               = $row[0];
                    $this->pessoa_id        = $row[1];
                    $this->tipo             = $row[2];
                    $this->data             = $row[3];
                    $this->dataexame        = $row[4];
                    $this->observacao       = $row[5];
                    $this->certificado      = $row[6];
                    $this->deletado         = $row[7];    
                    $this->tipograduacao_id = $row[8];
                    $this->ativo            = $row[9]; 
                    $this->tamfaixa         = $row[10];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function alterar(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Graduacao.alterar";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->tipo # $this->data # $this->dataexame # $this->certificado # $this->observacao # $this->tipograduacao_id #$this->ativo";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    
            $tg = new Tipograduacao();
            $tg->id = $this->tipograduacao_id;
            $tg->buscar();
            $this->tipo = $tg->tipo;
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update graduacao set 
                                    tipo             = :ptipo,
                                    data          = :pdata,
                                    dataexame = :pdataexame,
                                    observacao = :pobservacao,
                                    certificado = :pcertificado,
                                    tamfaixa = :ptamfaixa
    		                        where id = :pid and deletado = 0");
             $ps->execute(
                           array(
                                    ':ptipo'           => $this->tipo,  
                                    ':pdata'        => $this->data,
                                    ':pdataexame' => $this->dataexame,
                                    ':pobservacao' => $this->observacao,
                                    ':pcertificado' => $this->certificado,
                                    ':ptamfaixa'    => $this->tamfaixa,
                                    ':pid'               => $this->id
                                )
                        );
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}


		function remover(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Graduacao.remover";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->tipo # $this->data # $this->dataexame # $this->certificado # $this->observacao # $this->tipograduacao_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    
		    $gradtemp = new Graduacao();
		    $gradtemp->id = $this->id;
		    $gradtemp->buscar();
		    $tipotemp = $gradtemp->tipo;
		    $pessoaidtemp = $gradtemp->pessoa_id;
		    
		    
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("update graduacao set deletado = 1 where id = :pid and deletado = 0");
             $ps->execute(array(':pid' => $this->id
                                ));
                                
            $pes = new Pessoa();
            $pes->setGraduacaoAnterior($pessoaidtemp, $tipotemp);
            
                                            
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	function removerfisico(){
		try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Graduacao.removerfisico";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->tipo # $this->data # $this->dataexame # $this->certificado # $this->observacao # $this->tipograduacao_id";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
		    $c = new Conexao;
		    $conn = $c->AbreConexao();	
    		 $ps = $conn->prepare("delete from graduacao where id = :pid and deletado = 1");
             $ps->execute(array(':pid' => $this->id
                                ));
            return 1;
		}catch(PDOException $e){
            echo $e->getMessage();
            return 0;
		}
	}
	
	
	function getGraduacao($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Graduacao.getGraduacao";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->tipo # $this->data # $this->dataexame # $this->certificado # $this->observacao # $this->tipograduacao_id # $cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);

	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from graduacao ".$cond;
            //echo $comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // pessoa_id
                    $retorno[$indice][2]  = $row[2]; // tipo
                    $retorno[$indice][3]  = $row[3]; // data
                    $retorno[$indice][4]  = $row[4]; // dataexame
                    $retorno[$indice][5]  = $row[5]; // observacao
                    $retorno[$indice][6]  = $row[6]; // certificado
                    $retorno[$indice][7]  = $row[7]; // deletado
                    $retorno[$indice][8]  = $row[8]; // tipograduacao_id
                    $retorno[$indice][9]  = $row[9]; // tipograduacao_id
                    $retorno[$indice][10]  = $row[10]; // tipograduacao_id
                    
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	

	function getGraduacao2($cond){
	    try{
            //GRAVA LOG PERFIL
            $lp = new Logperfil();
            $usuario = $_SESSION['id_usuario'];
            $pagina  = "";
            $funcao  = "Graduacao.getGraduacao2";
            //echo "dentro da classe valor usuario: ".$_SESSION['id_usuario'];
            $valores = "$this->id # $this->pessoa_id # $this->tipo # $this->data # $this->dataexame # $this->certificado # $this->observacao # $this->tipograduacao_id # $cond";
            $lp->setLog($usuario, $pagina, $funcao, $valores);
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            //                    0           1     2       3       4             5                 6       7          8   
            $comando = "select g.id, g.pessoa_id, p.nome, g.data, g.dataexame, g.tipograduacao_id, g.ativo, t.codigo, t.descricao from graduacao g, pessoa p, tipograduacao t where g.pessoa_id = p.id and g.tipograduacao_id = t.id and g.ativo = 1 and ".$cond;
            //echo $comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            if ($numreg > 0) {
                $indice = 0;
                foreach ($ps->fetchAll() as $row) {
                    $retorno[$indice][0]  = $row[0]; // id
                    $retorno[$indice][1]  = $row[1]; // pessoa_id
                    $retorno[$indice][2]  = $row[2]; // tipo
                    $retorno[$indice][3]  = $row[3]; // data
                    $retorno[$indice][4]  = $row[4]; // dataexame
                    $retorno[$indice][5]  = $row[5]; // observacao
                    $retorno[$indice][6]  = $row[6]; // certificado
                    $retorno[$indice][7]  = $row[7]; // deletado
                    $retorno[$indice][8]  = $row[8]; // tipograduacao_id
                    $indice = $indice + 1;
                }
                return $retorno;
            }else {
                return 0;
            }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	



}
?>