<?php
require_once('../conexao/conectar.php');

class Ocorrencia{
	
	var $idunico;  //0
	var $responsavel; //1
	var $instrumentoavaliacaoorigem; //2
	var $fragpot; //3
	var $descricao; //4
	var $prazosolucao; //5
	var $previsaoinicio; //6
	var $porcrealizado; //7
	var $responsavelacao; //8
	var $acaorealizar; //9
	var $origemocorrencia; //10
	var $ocorrenciaativa; //11
	var $editavel; //12
	var $motivoexclusao; //13
	var $dataabertura; //14

	
	function cadastrar(){
	    
	     try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into fnc (responsavel, instrumentoavaliacaoorigem, fragpot, descricao, prazosolucao, previsaoinicio, porcrealizado, responsavelacao, acaoarealizar, origemocorrencia, ocorrenciaativa, editavel, motivoexclusao, dataabertura) values (:presponsavel,:pinstrumentoavaliacaoorigem,:pfragpot,:pdescricao,:pprazosolucao,:pprevisaoinicio,:pporcrealizado,:presponsavelacao,:pacaorealizar,:porigemocorrencia,:pocorrenciaativa,:peditavel,:pmotivoexclusao,:pdataabertura)");
		    $stmt->execute(array(':presponsavel' => $this->responsavel, 
                                 ':pinstrumentoavaliacaoorigem' => $this->instrumentoavaliacaoorigem,
 		                         ':pfragpot' => $this->fragpot, 
		                         ':pdescricao' => $this->descricao, 
		                         ':pprazosolucao' => $this->prazosolucao, 
		                         ':pprevisaoinicio' => $this->previsaoinicio, 
		                         ':pporcrealizado' => $this->porcrealizado, 
		                         ':presponsavelacao' => $this->responsavelacao, 		                         
		                         ':pacaorealizar' => $this->acaoarealizar,
 		                         ':porigemocorrencia' => $this->origemocorrencia, 
		                         ':pocorrenciaativa' => $this->ocorrenciaativa, 
		                         ':peditavel' => $this->editavel, 
		                         ':pmotivoexclusao' => $this->motivoexclusao, 
		                         ':pdataabertura' => $this->dataabertura
		                         ));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}


	function buscar(){
	    try{
	        $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from fnc where idunico = :pidunico");
            $ps->execute(array(':pidunico' => $this->idunico));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
				    $this->responsavel 					= $row[1];
				    $this->instrumentoavaliacaoorigem 	= $row[2];
				    $this->fragpot 						= $row[3];
				    $this->descricao 					= $row[4];
				    $this->prazosolucao 				= $row[5];
				    $this->previsaoinicio 				= $row[6];
			    	$this->porcrealizado 				= $row[7];
				    $this->responsavelacao 				= $row[8];
				    $this->acaorealizar 				= $row[9];
				    $this->origemocorrencia 			= $row[10];
			    	$this->ocorrenciaativa 				= $row[11];
    				$this->editavel 					= $row[12];
				    $this->motivoexclusao 				= $row[13];
				    $this->dataabertura 				= $row[14];
	            }
				return 1;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	function alterar(){
	    try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("update fnc set responsavel = :presponsavel, instrumentoavaliacaoorigem = :pinstrumentoavaliacaoorigem, fragpot = :pfragpot, descricao = :pdescricao, prazosolucao = :pprazosolucao,	previsaoinicio = :pprevisaoinicio, porcrealizado = :pporcrealizado, responsavelacao = :presponsavelacao, acaoarealizar = :pacaorealizar, origemocorrencia = :porigemocorrencia, ocorrenciaativa = :pocorrenciaativa, editavel = :peditavel, motivoexclusao = :pmotivoexclusao, dataabertura = :pdataabertura where idunico = :pidunico");
            $stmt->execute(array(':presponsavel'                 => $this->responsavel,         
                    ':pinstrumentoavaliacaoorigem'  => $this->instrumentoavaliacaoorigem,
                    ':pfragpot'                     => $this->fragpot,
                    ':pdescricao'                   => $this->descricao,
                    ':pprazosolucao'                => $this->prazosolucao,
                    ':pprevisaoinicio'              => $this->previsaoinicio,
                    ':pporcrealizado'               => $this->porcrealizado,
                    ':presponsavelacao'             => $this->responsavelacao,
                    ':pacaorealizar'                => $this->acaorealizar,
                    ':porigemocorrencia'            => $this->origemocorrencia,
                    ':pocorrenciaativa'             => $this->ocorrenciaativa,
                    ':peditavel'                    => $this->editavel,
                    ':pmotivoexclusao'              => $this->motivoexclusao,
                    ':pdataabertura'                => $this->dataabertura, 
                    ':pidunico'                     => $this->idunico
            ));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}



	function remover(){
	    try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("delete from fnc where idunico = pidunico");
            $stmt->execute(array(':pidunico'                 => $this->idunico));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}





	
	function getOcorrencias($cond){

	    try{
	        $c = new Conexao();
            $conn = $c->AbreConexao();
            $comando = "select * from fnc ".$cond;
            
            echo $comando;
	        $ps = $conn->prepare($comando);
            $ps->execute();
	        $numreg = $ps->rowCount();
            $indice = 0;
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
				$retorno[$indice][0] = $row[0];
				$retorno[$indice][1] = $row[1];
				$retorno[$indice][2] = $row[2];
				$retorno[$indice][3] = $row[3];
				$retorno[$indice][4] = $row[4];
				$retorno[$indice][5] = $row[5];
				$retorno[$indice][6] = $row[6];
				$retorno[$indice][7] = $row[7];
				$retorno[$indice][8] = $row[8];
				$retorno[$indice][9] = $row[9];
				$retorno[$indice][10] = $row[10];
				$retorno[$indice][11] = $row[11];
				$retorno[$indice][12] = $row[12];
				$retorno[$indice][13] = $row[13];		
				$retorno[$indice][14] = $row[14];	
				$retorno[$indice][15] = $row[15];					
				$indice = $indice + 1;
	            }
				return $retorno;
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}	

	
	function acertData($tiporet, $oritem){
		if($tiporet == "bd"){
			$dataquebrada = EXPLODE("/",$oritem);		
			$dataret = $dataquebrada[2]."-".$dataquebrada[1]."-".$dataquebrada[0];	
		}else{
			$dataquebrada = EXPLODE("-",$oritem);		
			$dataret = $dataquebrada[2]."/".$dataquebrada[1]."/".$dataquebrada[0];	
		}
		return $dataret;
	}

	
	function leparametro(){
		$fp = fopen("./dados.txt", "r");
		$texto = fread($fp, 20); // lê 20 bytes do arquivo e armazena em $texto
		fclose($fp);
		return $texto;
	}
	
	function verificaEditavel(){
		$tempo = 30;
		//$dataori = $this->dataabertura;
		//$dataatu = date('Y-m-d');
		//$dataori = DateTime::createFromFormat('Y-m-d H:i', $this->dataabertura);
        //echo($this->dataabertura);
		
		echo("-");
		//echo(date("Y-m-d H:i:s"));
		echo("-");
		$dataori = new DateTime($this->dataabertura);
		$dataatu = new DateTime(date("Y-m-d H:i:s"));		
		$dias = $dataatu->diff($dataori);
		$dias2 = $dias->days;
		echo($dias2);
		
		$retorno = 1;
		if($dias2 > $tempo){
			$retorno = 0;
		}else{
			$retorno = 1;
		}
		return $retorno;
	}
	
}
?>