<?php
require_once('../conexao/conectar.php');

class Status{
	
	var $idunico;
	var $ocorrencia;
	var $data;
	var $descricao;
	var $porc;
	var $datafechamento;
	var $ativo;

	
	function cadastrar(){
	    try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("insert into status ( ocorrencia, data, descricao, porc, ativo) values (:pocorrencia,:pdata,:pdescricao,:pporc,:pativo)");
		    $stmt->execute(array(':pocorrencia' => $this->usuario, 
		                        ':pdata' => $this->ocorrencia,
		                        ':pdescricao' => $this->descricao,
		    		            ':pporc' => $this->porc, 
		                        ':pativo' => $this->ativo));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	function buscar(){
	    try{
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from status where idunico = :pidunico");
            $ps->execute(array(':pidunico' => $this->idunico));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
				    $this->idunico = $row[0];			
				    $this->ocorrencia = $row[1];
				    $this->data = $row[2];
				    $this->descricao = $row[3];				
				    $this->porc = $row[4];				
				    $this->datafechamento = $row[5];								
				    $this->ativo = $row[6];
				    return 1;
	            }
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	function buscarbyocorrencia(){
	    try{
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select * from status where ocorrencia = :pocorrencia and ativo = 'S'");
            $ps->execute(array(':pocorrencia' => $this->ocorrencia));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
				    $this->idunico = $row[0];			
				    $this->ocorrencia = $row[1];
				    $this->data = $row[2];
				    $this->descricao = $row[3];				
				    $this->porc = $row[4];				
				    $this->datafechamento = $row[5];								
				    $this->ativo = $row[6];
				    return 1;
	            }
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}

	function alterar(){
	    try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("update status set data = :pdata, descricao = :pdescricao, porc = :pporc, ativo = :pativo where idunico = :pidunico");
		    $stmt->execute(array(
		                        ':pdata' => $this->ocorrencia,
		                        ':pdescricao' => $this->descricao,
		    		            ':pporc' => $this->porc, 
		                        ':pativo' => $this->ativo,
		                        ':pidunico' => $this->idunico		                        
		                        ));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	
	
	function alterardf(){
	    try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("update status set datafechamento = :pdatafechamento where idunico = :pidunico'");
		    $stmt->execute(array(
		                        ':pdatafechamento' => $this->datafechamento,
		                        ':pidunico' => $this->idunico		                        
		                        ));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}	

	function remover(){
	    try {
    		$c = new Conexao();
		    $date = new DateTime();
		    $conn = $c->AbreConexao();
		    $stmt = $conn->prepare("delete from status where idunico = :pidunico");
		    $stmt->execute(array(
		                        ':pidunico' => $this->idunico		                        
		                        ));
		    return 1;
    	}catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}
	



	
	function getdatafechamento(){
	    try{
	         $c = new Conexao();
            $conn = $c->AbreConexao();
	        $ps = $conn->prepare("select datafechamento from status where idunico = :pidunico");
            $ps->execute(array(':pidunico' => $this->idunico));
	        $numreg = $ps->rowCount();
	        if($numreg > 0){
	            foreach ($ps->fetchAll() as $row) {
    				$this->datafechamento = $row[0];								
	    			return 1;
	            }
	        }else{
    			return 0;
	        }
	    }catch (PDOException $e) {
            echo $e->getMessage();
            return 0;
        }
	}	

	
	function acertData($tiporet, $oritem){
		if($tiporet == "bd"){
			$dataquebrada = EXPLODE("/",$oritem);		
			$dataret = $dataquebrada[2]."-".$dataquebrada[1]."-".$dataquebrada[0];	
		}else{
			$dataquebrada = EXPLODE("-",$oritem);		
			$dataret = $dataquebrada[2]."/".$dataquebrada[1]."/".$dataquebrada[0];	
		}
		return $dataret;
	
	}

	function getDescElaborador(){
		if ($this->origem == "CADS"){
			return "COORDENACAO CURSO TECNOLOGIA EM ANALISE E DESENVOLVIMENTO DE SISTEMAS";
		}
		if ($this->origem == "CFIS"){
			return "COORDENACAO CURSO LICENCIATURA EM FÍSICA";
		}
		if ($this->origem == "CEME"){
			return "COORDENACAO CURSO BACHARELADO EM ENGENHARIA MECANICA";
		}
		if ($this->origem == "CTAI"){
			return "COORDENACAO CURSO TECNOLOGIA EM AUTOMACAO INDUSTRIAL";
		}
		if ($this->origem == "CTECINF"){
			return "COORDENACAO CURSO TECNICO INFORMATICA INTEGRADO AO ENSINO MEDIO";
		}
		if ($this->origem == "CTECMEC"){
			return "COORDENACAO CURSO TECNCIO EM MECANICA";
		}
		if ($this->origem == "GTECADM"){
			return "GERENCIA ADMINISTRATIVA";
		}

		return "";
	}	
	
	function leparametro(){
		$fp = fopen("./dados.txt", "r");
		$texto = fread($fp, 20); // lê 20 bytes do arquivo e armazena em $texto
		fclose($fp);
		return $texto;
	}
}
?>